Bug 910505 - (killbots) Review Request: killbots - A simple game of evading killer robots
Review Request: killbots - A simple game of evading killer robots
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 13:33 EST by Rex Dieter
Modified: 2013-02-14 16:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 16:21:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 13:33:47 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/killbots.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/killbots-4.10.0-1.fc18.src.rpm
Description: A simple game of evading killer robots 
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-14 13:19:25 EST
Code and themes under GPLv2+ license, doc under GFDL, license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc, also themes licenses themes/*copyright

More detailed %description from documentation:

Killbots is a simple game of evading killer robots. Who created the robots
and why they have been programmed to destroy, no one knows. All that is known
is that the robots are numerous and their sole objective is to destroy you.
Fortunately for you, their creator has focused on quantity rather than quality
and as a result the robots are severely lacking in intelligence. Your superior
wit and a fancy teleportation device are your only weapons against the
never-ending stream of mindless automatons.

$ rpmlint killbots-4.10.0-1.fc18.i686.rpm killbots-debuginfo-4.10.0-1.fc18.i686.rpm killbots-4.10.0-1.fc18.src.rpm killbots.spec 
killbots.i686: W: no-manual-page-for-binary killbots
killbots.src:66: W: macro-in-comment %{name}
killbots.src:70: W: macro-in-comment %{name}
killbots.spec:66: W: macro-in-comment %{name}
killbots.spec:70: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

All commented lines should be removed.
Comment 2 Rex Dieter 2013-02-14 13:47:09 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/killbots.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/killbots-4.10.0-2.fc18.src.rpm

%changelog
* Thu Feb 14 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license/description
Comment 3 nucleo 2013-02-14 13:50:47 EST
MUST Items:
+ rpmlint output
  $ rpmlint killbots-4.10.0-1.fc18.i686.rpm killbots-debuginfo-4.10.0-1.fc18.i686.rpm killbots-4.10.0-2.fc18.src.rpm killbots.spec 
    killbots.i686: W: no-manual-page-for-binary killbots
    killbots.src: W: spelling-error %description -l en_US teleportation -> deportation, exportation, importation
    3 packages and 1 specfiles checked; 0 errors, 2 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name killbots-4.10.0.tar.xz
+ spec file name killbots.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC, themes/*copyright (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: b79f760a0be070c2bb8d4a336060d503  killbots-4.10.0.tar.xz
  SHA1: 0fe272b75230c2a12b05275166fe0d3e50491e9e  killbots-4.10.0.tar.xz
  SHA256: e3efab202f93698dd95dde26680ec43ff0513e66f3f636e2799be51662c439e1  killbots-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir} )
+ non-code content: only permitted content, themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ killbots.desktop file for the GUI app killbots present
+ desktop-file-validate is used in %check and the killbots.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from killbots's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, themes licenses)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 4 Rex Dieter 2013-02-14 13:52:24 EST
New Package SCM Request
=======================
Package Name: killbots
Short Description: A simple game of evading killer robots
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 5 Jon Ciesla 2013-02-14 14:02:26 EST
Git done (by process-git-requests).
Comment 6 Jon Ciesla 2013-02-14 15:08:25 EST
Unsetting flag.
Comment 7 Rex Dieter 2013-02-14 16:21:23 EST
Not sure why not reset the cvsadmin flag, but imported.

Note You need to log in before you can comment on or make changes to this bug.